ad-notification {
  display: block;
  max-width: 400px;
  overflow: hidden;
  font-size: 0.875rem;
  background-color: rgba(255, 255, 255, 0.85);
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.1);
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
  opacity: 1 !important;
  border-radius: 0.25rem;
  margin-bottom: 0;
  transition: height ease .5s !important;
}
  ad-notification:not(:last-child) {
    margin-bottom: 8px;
  }

  ad-notification.hide:not(.fade) {
    display: none;
  }

.ad-n-header {
  display: flex;
  align-items: center;
  padding: 0.25rem 0.75rem;
  color: #6c757d;
  background-color: rgba(255, 255, 255, 0.85);
  background-clip: padding-box;
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
}

  .ad-n-button-icon {
    height: 24px;
    width: 24px;
    border: none;
    background: #fff0;
    color: #3f3a3a;
    font: normal normal normal 23px/24px FontAwesome;
    padding: 0;
    border-radius: 4px;
  }

  ad-notification[type="error"] .ad-n-icon {
    margin-right: 8px;
    color: #cf5353;
  }

  ad-notification[type="warning"] .ad-n-icon {
    margin-right: 8px;
    color: #d4813c;
  }

  ad-notification[type="info"] .ad-n-icon {
    margin-right: 8px;
    color: #3469a5;
  }

  ad-notification[type="success"] .ad-n-icon {
    margin-right: 8px;
    color: #4b9c44;
  }

  .ad-n-title {
    margin-right: auto;
    line-height: 24px;
  }

  .ad-n-time {
    margin-right: 8px;
    line-height: 24px;
  }

  .ad-n-close {
    transition: all ease .18s;
  }

  .ad-n-close:hover {
    background: #d2d2d2;
  }

.ad-n-body {
  padding: 0.75rem;
}